# getAliases abstract method

List<String> getAliases(

1. String podName

)

Retrieves all alias names for the specified pod.

Pods can have multiple names (aliases) for flexible referencing.

## Usage Example:

    final aliases = factory.getAliases('primaryDataSource');
    print('Primary data source aliases: $aliases');

@param podName The name of the pod to get aliases for @return A list of alias names for the pod

## Implementation

    List<String> getAliases(String podName);